API referenceProxy users
Update limits, status, metadata
PATCH
Limit below current usage → 422 limit_below_usage. Default user cannot be disabled (409 conflict).
ApiKeyheader
X-API-Key<token>prx_live_<40 base62>
id*stringUUID or username.
application/json- body
metadata?|Replaces the whole object; null clears.
mobile_bytes_limit?|null = unlimited.
Format
int64Range
0 <= valueresidential_bytes_limit?|null = unlimited.
Format
int64Range
0 <= valuestatus?stringValue in
"active""disabled"OK
application/json- response
data*message*stringHuman-readable status, safe to show to end users.
curl -X PATCH "https://example.com/v1/proxy-users/string" \ -H "Content-Type: application/json" \ -d '{}'{ "data": { "created_at": "2019-08-24T14:15:22Z", "deleted_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "is_default": true, "metadata": { "property1": null, "property2": null }, "mobile_bytes_limit": 0, "mobile_bytes_used": 0, "password": "string", "residential_bytes_limit": 0, "residential_bytes_used": 0, "status": "active", "updated_at": "2019-08-24T14:15:22Z", "username": "string", "whitelist_ips": [ "string" ] }, "message": "OK"}